require "import"
import "android.os.*"
import "android.widget.*"
import "android.view.*"
import "android.graphics.Typeface"

--隐藏状态栏但不隐藏字体
activity.getWindow().addFlags(WindowManager.LayoutParams.FLAG_DRAWS_SYSTEM_BAR_BACKGROUNDS);
--状态栏背景透明

-----------------------------------------------
function getStatusBarHeight()--函数
  local resources=activity.getResources();
  local resourceId=resources.getIdentifier("status_bar_height","dimen","android");
  local height=resources.getDimensionPixelSize(resourceId);
  return height;
end

Tritium=--配置布局表
{



  LinearLayout;
  layout_height="fill";
  layout_width="fill";
  orientation="vertical";
  background="#ffffffff";--全局底色
  

  {
    CardView;--卡片控件
    layout_height=getStatusBarHeight();--设置卡片控件高度为状态栏高度
    backgroundColor=0x33000000;--状态栏颜色
    radius="0dp";--卡片圆角
    layout_height="0dp";--设置卡片控件高度为状态栏高度

    CardElevation="0dp";--卡片阴影
    layout_width="match_parent";--卡片宽度
  };
  {
    CardView;
    layout_height="wrap_content";
    backgroundColor=0xffffffff;----顶部颜色
    radius="0dp";
    CardElevation="0dp";
    layout_width="match_parent";
    
    {
      LinearLayout;
      layout_width="match_parent";
      layout_marginTop=result;

      {
        LinearLayout;
        orientation="horizontal";
        gravity="center";
        
        layout_height="46dp";
        layout_width="match_parent";

        {
          LinearLayout;
          layout_height="match_parent";
          gravity="center";


          {
            CardView;
            layout_height="80dp";
            PreventCornerOverlap=false;
            layout_marginLeft="-15dp";
            CardElevation="0dp";
            background="#00000000";
            radius="40dp";
            UseCompatPadding=false;
            layout_width="80dp";
            {
              ImageView;
              layout_height="match_parent";
              layout_margin="-10dp";
              id="返回";
              background="#00000000";
              ColorFilter=0xff000000;--------------返回图片着色
              padding="36dp";
              src='arrow_back';--图片路径
              layout_width="match_parent";
            };
          };
        };
        {
          TextView;
          gravity="center|left";
          singleLine=true;
          layout_marginLeft="-13dp";
          layout_width="match_parent";
          text="获取密码";
          id="标题";
          Typeface=Typeface.DEFAULT_BOLD;----字体加粗

          textSize="22dp";
          ellipsize="end";
          layout_height="match_parent";
          layout_weight="1";
          textColor=0xff000000;-------返回文字颜色
        };


      };
    };
  };
  {
    ScrollView,--纵向滑动控件
    layout_width='fill',--布局宽度
    layout_height='fill',--布局高度
    overScrollMode=View.OVER_SCROLL_NEVER,--隐藏圆弧阴影
    verticalScrollBarEnabled=false,--隐藏纵向滑条
    {
      LinearLayout,--线性布局
      orientation='vertical',--布局方向
      layout_width='fill',--布局宽度
      layout_height='fill',--布局高度

      {
        CardView;--菜单栏--间隔
        layout_width='100%w';--卡片宽度
        layout_height='0.1%h';--卡片高度
        layout_marginTop='1%w';--布局顶距
        cardBackgroundColor=0xffaaaaaa;---------------------列表颜色
        layout_gravity='center';--在父控件中的对齐方式
        radius='0dp';--卡片圆角
      };

      {
        CardView;--卡片控件
        layout_width='95%w';--卡片宽度
        layout_height='57%w';------------------------------1卡高度
        layout_marginTop='2.5%w';--布局顶距
        cardBackgroundColor=0xaa007700;---------------------列表颜色
        layout_margin='1dp';--卡片边距
        cardElevation='0dp';--卡片阴影
        layout_gravity='center';--在父控件中的对齐方式
        radius='5dp';--卡片圆角

        {
          TextView;--文本控件
          layout_width='fill';--控件宽度
          layout_height='15%w';--控件高度
          text="免费获取";--显示文字
          textSize='35sp';--文字大小
          Typeface=Typeface.DEFAULT_BOLD;----字体加粗
          textColor=0xfffFFFFF;--文字颜色
          gravity='center';--重力
        };

        {
          CardView;--菜单栏--间隔
          layout_width='80%w';--卡片宽度
          layout_height='0.1%h';--卡片高度
          layout_marginTop='-15%w';--布局顶距
          cardBackgroundColor=0xffaaaaaa;---------------------列表颜色
          layout_gravity='center';--在父控件中的对齐方式
          radius='0dp';--卡片圆角
        };

        {
          TextView;--文本控件
          layout_width='fill';--控件宽度
          layout_height='40%w';--控件高度
          text="(临时密码1个月)\n分享到3个100人以上的群，联系客服。"; textSize='15sp';--文字大小

          textColor=0xffdddddd;--文字颜色
          gravity='center';--重力
        };
        {

          CardView;--卡片控件
          layout_width='50%w';--卡片宽度
          layout_height='6%h';--卡片高度
          layout_marginTop='8.5%w';--布局顶距
          cardBackgroundColor=0x88ffffff;---------------------列表颜色
          layout_margin='1dp';--卡片边距
          cardElevation='0dp';--卡片阴影
          layout_gravity='center';--在父控件中的对齐方式
          radius='5dp';--卡片圆角
          id='立即分享';--控件ID
          {
            TextView;--文本控件
            layout_width='fill';--控件宽度
            layout_height='fill';--控件高度
            text="立即分享";--显示文字
            textSize='22sp';--文字大小
            Typeface=Typeface.DEFAULT_BOLD;----字体加粗

            textColor=0xff000000;--文字颜色
            gravity='center';--重力
          };
        };


        {

          CardView;--卡片控件
          layout_width='22%w';--卡片宽度
          layout_height='4%h';--卡片高度
          layout_marginTop='22%w';--布局顶距
          cardBackgroundColor=0xFF4EA8E7;---------------------列表颜色
          layout_margin='1dp';--卡片边距
          cardElevation='0dp';--卡片阴影
          layout_gravity='center';--在父控件中的对齐方式
          radius='5dp';--卡片圆角
          id='QQ客服';--控件ID
          {
            TextView;--文本控件
            layout_width='fill';--控件宽度
            layout_height='fill';--控件高度
            text="QQ客服";--显示文字
            textSize='18sp';--文字大小
            

            textColor=0xFf000000;--文字颜色
            gravity='center';--重力
          };
        };

      };
      {

        CardView;--卡片控件
        layout_width='95%w';--卡片宽度
        layout_height='57%w';------------------------------1卡高度
        layout_marginTop='2.5%w';--布局顶距
        cardBackgroundColor=0xbbF8312C;---------------------列表颜色
        layout_margin='1dp';--卡片边距
        cardElevation='0dp';--卡片阴影
        layout_gravity='center';--在父控件中的对齐方式
        radius='5dp';--卡片圆角
        {
          TextView;--文本控件
          layout_width='fill';--控件宽度
          layout_height='15%w';--控件高度
          text="打赏获取";--显示文字
          textSize='35sp';--文字大小
          Typeface=Typeface.DEFAULT_BOLD;----字体加粗
          textColor=0xffffffff;--文字颜色
          gravity='center';--重力
        };
        {
        CardView;--菜单栏--间隔
        layout_width='80%w';--卡片宽度
        layout_height='0.1%h';--卡片高度
        layout_marginTop='-15%w';--布局顶距
        cardBackgroundColor=0xff999999;---------------------列表颜色
        layout_gravity='center';--在父控件中的对齐方式
        radius='0dp';--卡片圆角
      };   
      
        {
          TextView;--文本控件
          layout_width='fill';--控件宽度
          layout_height='49%w';--控件高度
          text="打赏14.99元+，永久包更新\n(进密码群，见群公告)";--显示文字
          textSize='15sp';--文字大小

          textColor=0xffeeeeee;--文字颜色
          gravity='center';--重力
        };
        {

          CardView;--卡片控件
          layout_width='50%w';--卡片宽度
          layout_height='6%h';--卡片高度
          layout_marginTop='15%w';--布局顶距
          cardBackgroundColor=0x99ffffff;---------------------列表颜色
          layout_margin='0dp';--卡片边距
          cardElevation='0dp';--卡片阴影
          layout_gravity='center';--在父控件中的对齐方式
          radius='5dp';--卡片圆角
          id='去打赏';--控件ID
          {
            TextView;--文本控件
            layout_width='fill';--控件宽度
            layout_height='fill';--控件高度
            text="去打赏";--显示文字
            textSize='22sp';--文字大小
            Typeface=Typeface.DEFAULT_BOLD;----字体加粗

            textColor=0xff000000;--文字颜色
            gravity='center';--重力
          };
        };


      };






      {

        CardView;--卡片控件
        layout_width='95%w';--卡片宽度
        layout_height='57%w';------------------------------1卡高度
        layout_marginTop='2.5%w';--布局顶距
        cardBackgroundColor=0xFF7F5FDA;---------------------列表颜色
        layout_margin='1dp';--卡片边距
        cardElevation='0dp';--卡片阴影
        layout_gravity='center';--在父控件中的对齐方式
        radius='5dp';--卡片圆角
           {
        CardView;--菜单栏--间隔
        layout_width='80%w';--卡片宽度
        layout_height='0.1%h';--卡片高度
        layout_marginTop='-15%w';--布局顶距
        cardBackgroundColor=0xff858585;---------------------列表颜色
        layout_gravity='center';--在父控件中的对齐方式
        radius='0dp';--卡片圆角
      };   
      
        {
          TextView;--文本控件
          layout_width='fill';--控件宽度
          layout_height='15%w';--控件高度
          text="快速通道";--显示文字
          textSize='35sp';--文字大小
          Typeface=Typeface.DEFAULT_BOLD;----字体加粗
          textColor=0xffffffff;--文字颜色
          gravity='center';--重力
        };
        {

          CardView;--卡片控件
          layout_width='100%w';--卡片宽度
          layout_height='fill';--卡片高度
          layout_marginTop='0dp';--布局顶距
          cardBackgroundColor=0x000000;---------------------列表颜色
          layout_margin='0dp';--卡片边距
          cardElevation='0dp';--卡片阴影
          layout_gravity='center';--在父控件中的对齐方式
          radius='5dp';--卡片圆角

          {
            TextView;--文本控件
            layout_width='fill';--控件宽度
            layout_height='39%w';--控件高度
            layout_marginTop='16dp';--布局顶距
            text="全天24小时自动发密码\n(适用于深更半夜)";--显示文字
            textSize='16sp';--文字大小

            textColor=0xffcccccc;--文字颜色
            gravity='center';--重力
          };

        };

        {

          CardView;--卡片控件
          layout_width='50%w';--卡片宽度
          layout_height='6%h';--卡片高度
          layout_marginTop='15%w';--布局顶距
          cardBackgroundColor=0x88ffffff;---------------------列表颜色
          layout_margin='0dp';--卡片边距
          cardElevation='0dp';--卡片阴影
          layout_gravity='center';--在父控件中的对齐方式
          radius='5dp';--卡片圆角
          id='自动发卡';--控件ID
          {
            TextView;--文本控件
            layout_width='fill';--控件宽度
            layout_height='fill';--控件高度
            text="自动发卡";--显示文字
            textSize='22sp';--文字大小
            Typeface=Typeface.DEFAULT_BOLD;----字体加粗

            textColor=0xff000000;--文字颜色
            gravity='center';--重力
          };

        };


      };

      {
        CardView;--菜单栏--间隔
        layout_width='100%w';--卡片宽度
        layout_height='0.1%h';--卡片高度
        layout_marginTop='4%w';--布局顶距
        cardBackgroundColor=0xffaaaaaa;---------------------列表颜色
        layout_gravity='center';--在父控件中的对齐方式
        radius='0dp';--卡片圆角
      };
      {
        CardView;--卡片控件
        layout_width='95%w';--卡片宽度
        layout_height='14%w';------------------------------1卡高度
        layout_marginTop='2.5%w';--布局顶距
        cardBackgroundColor=0xFF4EA8E7;---------------------列表颜色
        layout_margin='1dp';--卡片边距
        cardElevation='0dp';--卡片阴影
        layout_gravity='center';--在父控件中的对齐方式
        radius='50dp';--卡片圆角
        id='加入密码群';--控件ID
        {
          TextView;--文本控件
          layout_width='fill';--控件宽度
          layout_height='fill';--控件高度
          text="加入密码群";--显示文字
          textSize='22sp';--文字大小
          Typeface=Typeface.DEFAULT_BOLD;----字体加粗

          textColor=0xff000000;--文字颜色
          gravity='center';--重力
        };
      };
    },--线性布局 结束
  },--纵向滑动控件 结束
}
activity.setContentView(loadlayout(Tritium))
function 缩放动画(控件)
  import "android.view.animation.*"
  控件.startAnimation(ScaleAnimation(0.0,1.0,0.0,1.0,1,0.5,1,0.5).setDuration(50))
end

返回.onClick=function()--返回图片点击事件
  activity.finish()--关闭当前页面
end



QQ客服.onClick=function(v)--控件点击事件
  缩放动画(QQ客服)
  对话框()
  .设置标题("操作提示")
  .设置消息("\n➊分享完截图保存，3分钟后再次截图。\n\n截图要求:\n1.露出 消息发送时间、状态栏时间。\n2.被撤回、截图无时间、P图无效。\n\n➋先添加客服好友，通过后再发截图。\n客服审核合格后赠送密码(群多可叠加)。")
  .设置积极按钮("联系客服",function()
    联系QQ(543121585)
  end)
  .设置中立按钮("去截图",function()
    function 打开程序(包名)
      import "android.content.Intent"
      import "android.content.pm.PackageManager"
      manager = activity.getPackageManager()
      open = manager.getLaunchIntentForPackage(包名)
      this.startActivity(open)
    end
    --调用方法
    打开程序("com.tencent.mobileqq")
  end)
  .显示()
end;
立即分享.onClick=function(v)--控件点击事件
  缩放动画(立即分享)
  复制文本("-------安卓神器-------\n电影/电视剧,随意缓存/观看。\n音乐 无版权 无损 试听/下载。\n各类安卓破解软件/破解游戏。\n畅游谷歌/抖音国际/忒特電抱。\n手机刷机，XP模块/Root教程\n安卓逆向，破解/MT破解教程。\n全网资源搜索下载，精华集合。\n大人动作学习/游戏破壳版。\n高速剃子νρη茄速器破壳版。\n\n网页版:https://zhiy.cc/0001\n客户端:https://wwmq.lanzouy.com/b0eluppwd\n学习资料\nhttps://wwmq.lanzouy.com/b0elur57a")
弹出消息("已复制内容")
  分享文本("-------安卓神器-------\n电影/电视剧,随意缓存/观看。\n音乐 无版权 无损 试听/下载。\n各类安卓破解软件/破解游戏。\n畅游谷歌/抖音国际/忒特電抱。\n手机刷机，XP模块/Root教程\n安卓逆向，破解/MT破解教程。\n全网资源搜索下载，精华集合。\n大人动作学习/游戏破壳版。\n高速剃子νρη茄速器破壳版。\n\n网页版:https://zhiy.cc/0001\n客户端:https://wwmq.lanzouy.com/b0eluppwd\n学习资料\nhttps://wwmq.lanzouy.com/b0elur57a")
end;
加入密码群.onClick=function()--返回图片点击事件
  缩放动画(加入密码群)
  对话框()
  .设置标题("付费入群")
  .设置消息("\n打赏14.99元+ 后进入\n\n加群填 真实 付款时间(精确到秒)\n\n例如: 2014.8.2 13:06:57\n\n(人工审核 未付款 乱填时间的 勿扰！)")
  .设置积极按钮("申请入群",function()
    加QQ群(260943956)
  end)
  .设置中立按钮("去打赏",function()
    进入子页面("DS")
  end)
  .显示()
end


自动发卡.onClick=function()--返回图片点击事件
  缩放动画(自动发卡)
  进入子页面("DS/FaKa")
end


去打赏.onClick=function()--返回图片点击事件
  缩放动画(去打赏)
  进入子页面("DS")
end

