require "import"
import "android.app.*"
import "android.os.*"
import "android.widget.*"
import "android.view.*"
import "android.app.DownloadManager"
import "android.content.Intent"
import "android.view.WindowManager"
import "android.widget.ScrollView"
import "android.view.animation.ScaleAnimation"
import "android.content.ComponentName"
import "android.widget.LinearLayout"
import "android.widget.TextView"
import "android.widget.ImageView"
import "android.graphics.ColorFilter"
import "android.graphics.Typeface"
import "android.net.Uri"
import "android.view.View"
import "androidx.cardview.widget.CardView"
import "android.content.Context"

--隐藏状态栏但不隐藏字体
activity.getWindow().addFlags(WindowManager.LayoutParams.FLAG_DRAWS_SYSTEM_BAR_BACKGROUNDS);
--状态栏背景透明


-----------------------------------------------
function getStatusBarHeight()--函数
  local resources=activity.getResources();
  local resourceId=resources.getIdentifier("status_bar_height","dimen","android");
  local height=resources.getDimensionPixelSize(resourceId);
  return height;
end

Tritium=--配置布局表
{



  LinearLayout;
  layout_height="fill";
  layout_width="fill";
  orientation="vertical";
  background="#ffffffff";--全局底色

  {
    CardView;--卡片控件
    layout_height="0dp";--设置卡片控件高度为状态栏高度
    backgroundColor=0x33000000;--状态栏颜色

    radius="0dp";--卡片圆角
    CardElevation="0dp";--卡片阴影
    layout_width="match_parent";--卡片宽度
  };
  {
    CardView;
    layout_height="wrap_content";
    backgroundColor=0xffffffff;----顶部颜色
    radius="0dp";
    CardElevation="0dp";
    layout_width="match_parent";
    {
      LinearLayout;
      layout_width="match_parent";
      layout_marginTop=result;

      {
        LinearLayout;
        orientation="horizontal";
        gravity="center";
        layout_height="46dp";
        layout_width="match_parent";

        {
          LinearLayout;
          layout_height="match_parent";
          gravity="center";


          {
            CardView;
            layout_height="80dp";
            PreventCornerOverlap=false;
            layout_marginLeft="-15dp";
            CardElevation="0dp";
            background="#00000000";
            radius="40dp";
            UseCompatPadding=false;
            layout_width="80dp";
            {
              ImageView;
              layout_height="match_parent";
              layout_margin="-10dp";
              id="返回";
              background="#00000000";
              ColorFilter=0xff000000;--------------返回图片着色
              padding="36dp";
              src='arrow_back';--图片路径
              layout_width="match_parent";
            };
          };


        };
        {
          TextView;
          gravity="center|left";
          singleLine=true;
          layout_marginLeft="-12dp";
          layout_width="match_parent";
          text="打赏支持";
          id="标题";
          Typeface=Typeface.DEFAULT_BOLD;----字体加粗

          textSize="22dp";
          ellipsize="end";
          layout_height="match_parent";
          layout_weight="1";
          textColor=0xff000000;-------返回文字颜色
        };

        {
          CardView;
          layout_height="80dp";
          PreventCornerOverlap=false;
          layout_marginLeft="-15dp";
          CardElevation="0dp";
          background="#00000000";
          radius="40dp";
          UseCompatPadding=false;
          layout_width="80dp";
          {
            ImageView;
            layout_height="match_parent";
            layout_margin="-10dp";
            id="客服";
            background="#00000000";
            ColorFilter=0xff000000;--------------返回图片着色
            padding="36dp";
            src='help_outline';--图片路径
            layout_width="match_parent";
          };
        };

      };
    };
  };
  {
    CardView;--菜单栏--间隔
    layout_width='100%w';--卡片宽度
    layout_height='0.1%h';--卡片高度
    layout_marginTop='1%w';--布局顶距
    cardBackgroundColor=0xffaaaaaa;---------------------列表颜色
    layout_gravity='center';--在父控件中的对齐方式
    radius='0dp';--卡片圆角
  };

  {

    CardView;--卡片控件
    layout_width='95%w';--卡片宽度
    layout_height='27%w';------------------------------1卡高度
    layout_marginTop='2.5%w';--布局顶距
    cardBackgroundColor=0xff888888;---------------------列表颜色
    layout_margin='1dp';--卡片边距
    cardElevation='0dp';--卡片阴影
    layout_gravity='center';--在父控件中的对齐方式
    radius='5dp';--卡片圆角
    id='感谢';--控件ID
    {
      CardView;--菜单栏--间隔
      layout_width='80%w';--卡片宽度
      layout_height='0.1%h';--卡片高度
      layout_marginTop='0%w';--布局顶距
      cardBackgroundColor=0xffaaaaaa;---------------------列表颜色
      layout_gravity='center';--在父控件中的对齐方式
      radius='0dp';--卡片圆角
    };

    {
      TextView;--文本控件
      layout_width='fill';--控件宽度
      layout_height='15%w';--控件高度
      text="感谢您的犒赏";--显示文字
      textSize='35sp';--文字大小
      Typeface=Typeface.DEFAULT_BOLD;----字体加粗
      textColor=0xfffff700;--文字颜色
      gravity='center';--重力
    };
    {

      CardView;--卡片控件
      layout_width='100%w';--卡片宽度
      layout_height='fill';--卡片高度
      layout_marginTop='0dp';--布局顶距
      cardBackgroundColor=0x000000;---------------------列表颜色
      layout_margin='0dp';--卡片边距
      cardElevation='0dp';--卡片阴影
      layout_gravity='center';--在父控件中的对齐方式
      radius='5dp';--卡片圆角

      {
        TextView;--文本控件
        layout_width='fill';--控件宽度
        layout_height='37%w';--控件高度
        layout_marginTop='3dp';--布局顶距
        text="任意方式打赏20元+，送永久密码，包更新。";--显示文字
        textSize='16sp';--文字大小

        textColor=0xbbffffff;--文字颜色
        gravity='center';--重力
      };


      {
        TextView;--文本控件
        layout_width='fill';--控件宽度
        layout_height='47%w';--控件高度
        layout_marginTop='3dp';--布局顶距
        text="打赏完 右上角 联系客服";--显示文字
        textSize='8sp';--文字大小

        textColor=0xff000000;--文字颜色
        gravity='center';--重力
      };

    };



  };

  {
    ScrollView,--纵向滑动控件
    layout_width='fill',--布局宽度
    layout_height='fill',--布局高度
    overScrollMode=View.OVER_SCROLL_NEVER,--隐藏圆弧阴影
    verticalScrollBarEnabled=false,--隐藏纵向滑条
    {
      LinearLayout,--线性布局
      orientation='vertical',--布局方向
      layout_width='fill',--布局宽度
      layout_height='fill',--布局高度




      {
        CardView;--卡片控件
        layout_width='95%w';--卡片宽度
        layout_height='72%w';------------------------------1卡高度
        layout_marginTop='2.5%w';--布局顶距
        cardBackgroundColor=0xFF1678FD;---------------------列表颜色
        layout_margin='1dp';--卡片边距
        cardElevation='0dp';--卡片阴影
        layout_gravity='center';--在父控件中的对齐方式
        radius='5dp';--卡片圆角

        {
          TextView;--文本控件
          layout_width='fill';--控件宽度
          layout_height='15%w';--控件高度
          text="支付宝";--显示文字
          textSize='35sp';--文字大小
          Typeface=Typeface.DEFAULT_BOLD;----字体加粗
          textColor=0xFFffffff;--文字颜色
          gravity='center';--重力
        };

        {
          CardView;--菜单栏--间隔
          layout_width='80%w';--卡片宽度
          layout_height='0.1%h';--卡片高度
          layout_marginTop='-22%w';--布局顶距
          cardBackgroundColor=0xffaaaaaa;---------------------列表颜色
          layout_gravity='center';--在父控件中的对齐方式
          radius='0dp';--卡片圆角
        };

        {
          ImageView;
          --布局顶距
          colorFilter="0x000000";
          src="zfb";
          layout_width='33%w';--控件宽度
          layout_height='33%w';--控件高度
          layout_marginTop='-1.5%w';--布局顶距
          layout_gravity='center';--在父控件中的对齐方式


        };
        {

          CardView;--卡片控件
          layout_width='50%w';--卡片宽度
          layout_height='6%h';--卡片高度
          layout_marginTop='26%w';--布局顶距
          cardBackgroundColor=0x88ffffff;---------------------列表颜色
          layout_margin='1dp';--卡片边距
          cardElevation='0dp';--卡片阴影
          layout_gravity='center';--在父控件中的对齐方式
          radius='5dp';--卡片圆角
          id='支付宝';--控件ID
          {
            TextView;--文本控件
            layout_width='fill';--控件宽度
            layout_height='fill';--控件高度
            text="在线支付";--显示文字
            textSize='22sp';--文字大小
            Typeface=Typeface.DEFAULT_BOLD;----字体加粗

            textColor=0xff000000;--文字颜色
            gravity='center';--重力
          };
        };



      };

      {
        CardView;--卡片控件
        layout_width='95%w';--卡片宽度
        layout_height='72%w';------------------------------1卡高度
        layout_marginTop='2.5%w';--布局顶距
        cardBackgroundColor=0xFF00C800;---------------------列表颜色
        layout_margin='1dp';--卡片边距
        cardElevation='0dp';--卡片阴影
        layout_gravity='center';--在父控件中的对齐方式
        radius='5dp';--卡片圆角

        {
          TextView;--文本控件
          layout_width='fill';--控件宽度
          layout_height='15%w';--控件高度
          text="微信赞赏";--显示文字
          textSize='35sp';--文字大小
          Typeface=Typeface.DEFAULT_BOLD;----字体加粗
          textColor=0xFFffffff;--文字颜色
          gravity='center';--重力
        };

        {
          CardView;--菜单栏--间隔
          layout_width='80%w';--卡片宽度
          layout_height='0.1%h';--卡片高度
          layout_marginTop='-22%w';--布局顶距
          cardBackgroundColor=0xffdddddd;---------------------列表颜色
          layout_gravity='center';--在父控件中的对齐方式
          radius='0dp';--卡片圆角
        };

        {
          ImageView;
          --布局顶距
          colorFilter="0x000000";
          src="wx";
          layout_width='33%w';--控件宽度
          layout_height='33%w';--控件高度
          layout_marginTop='-1.5%w';--布局顶距
          layout_gravity='center';--在父控件中的对齐方式


        };
        {

          CardView;--卡片控件
          layout_width='50%w';--卡片宽度
          layout_height='6%h';--卡片高度
          layout_marginTop='26%w';--布局顶距
          cardBackgroundColor=0x99ffffff;---------------------列表颜色
          layout_margin='1dp';--卡片边距
          cardElevation='55dp';--卡片阴影
          layout_gravity='center';--在父控件中的对齐方式
          radius='5dp';--卡片圆角
          id='微信';--控件ID
          {
            TextView;--文本控件
            layout_width='fill';--控件宽度
            layout_height='fill';--控件高度
            text="去扫一扫";--显示文字
            textSize='22sp';--文字大小
            Typeface=Typeface.DEFAULT_BOLD;----字体加粗

            textColor=0xff000000;--文字颜色
            gravity='center';--重力
          };
        };



      };

      {
        CardView;--菜单栏--间隔
        layout_width='100%w';--卡片宽度
        layout_height='0.1%h';--卡片高度
        layout_marginTop='4%w';--布局顶距
        cardBackgroundColor=0xffaaaaaa;---------------------列表颜色
        layout_gravity='center';--在父控件中的对齐方式
        radius='0dp';--卡片圆角
      };
      {
        CardView;--卡片控件
        layout_width='95%w';--卡片宽度
        layout_height='14%w';------------------------------1卡高度
        layout_marginTop='3%w';--布局顶距
        cardBackgroundColor=0xccff6666;---------------------列表颜色
        layout_margin='1dp';--卡片边距
        cardElevation='0dp';--卡片阴影
        layout_gravity='center';--在父控件中的对齐方式
        radius='50dp';--卡片圆角
        id='获取密码';--控件ID
        {
          TextView;--文本控件
          layout_width='fill';--控件宽度
          layout_height='fill';--控件高度
          text="获取密码";--显示文字
          textSize='22sp';--文字大小
          Typeface=Typeface.DEFAULT_BOLD;----字体加粗

          textColor=0xff000000;--文字颜色
          gravity='center';--重力
        };
      };
    },--线性布局 结束
  },--纵向滑动控件 结束
}
activity.setContentView(loadlayout(Tritium))
function 缩放动画(控件)
  import "android.view.animation.*"
  控件.startAnimation(ScaleAnimation(0.0,1.0,0.0,1.0,1,0.5,1,0.5).setDuration(50))
end

返回.onClick=function()--返回图片点击事件
  activity.finish()--关闭当前页面
end



微信.onClick=function(v)--控件点击事件
  对话框()
  .设置标题("操作方法")
  .设置消息("\n去扫一扫 右下角 选相册。\n")
  .设置积极按钮("扫一扫",function()
    微信扫一扫()
  end)
  .设置中立按钮("我不会扫",function()
    activity.newActivity("web",{"https://afdian.net/order/create?user_id=137703deb9b811ed958052540025c377"})


  end)
  .显示()
  缩放动画(微信)
  function 系统下载(直链,目录,名称)
    import "android.content.Context"
    import "android.net.Uri"
    downloadManager = activity.getSystemService(Context.DOWNLOAD_SERVICE)
    request = DownloadManager.Request(Uri.parse(直链))
    request.setAllowedNetworkTypes(DownloadManager.Request.NETWORK_MOBILE|DownloadManager.Request.NETWORK_WIFI)
    request.setDestinationInExternalPublicDir(目录,名称)
    request.setNotificationVisibility(DownloadManager.Request.VISIBILITY_VISIBLE_NOTIFY_COMPLETED)--是否通知栏显示
    downloadManager.enqueue(request)
  end
  --调用方法
  系统下载("https://download.weiyun.com/note_attachment/122434316431353738342d386161612d343739302d383434332d35393365636330323131663518d59ce9c002?cmd=248901&fname=20230818021906.jpg","Download","赞赏码.jpg")
  弹出消息("收款码已保存")

  function 微信扫一扫()
    import "android.content.Intent"
    import "android.content.ComponentName"
    intent = Intent()
    intent.setComponent(ComponentName("com.tencent.mm","com.tencent.mm.ui.LauncherUI"))
    intent.putExtra("LauncherUI.From.Scaner.Shortcut",true)
    intent.setFlags(335544320)
    intent.setAction("android.intent.action.VIEW")
    activity.startActivity(intent)
  end
  --调用方法
  task(2000,function()
    微信扫一扫()
    弹出消息("右下角 相册 选图")
  end)
end;

获取密码.onClick=function()--返回图片点击事件
  缩放动画(获取密码)
  进入子页面("DS/FaKa")
  --[[
  对话框()
.设置标题("温馨提示")
.设置消息("\n若已扫码付款，请联系客服！")
.设置积极按钮("继续",function()
  进入子页面("DS/FaKa")
end)
.设置中立按钮("客服",function()
  联系QQ(672812629)
end)
.显示()]]
end


支付宝.onClick=function()--返回图片点击事件
  缩放动画(支付宝)
  activity.newActivity("web",{"https://qr.alipay.com/fkx199695kxffxptwju7298"})
end



客服.onClick=function()--返回图片点击事件
  缩放动画(客服)
  对话框()
  .设置标题("联系作者")
  .设置消息("QQ交流 时 请注意用词：\n含翻墙、VPN、梯子、加速器、任何吃瓜APP名字 等违规字眼，则统统不回复。")
  .设置积极按钮("不打扰了",function()

  end)
  .设置中立按钮("我会用谐音字表达",function()
    联系QQ(672812629)
  end)
  .显示()
end

感谢.onClick=function()--返回图片点击事件
  缩放动画(感谢)
  对话框()
  .设置标题("  打赏获取")
  .设置消息("· 所有文件 密码通用\n· 专享免卡密 纯净版\n· 加入专属QQ群\n· 解锁未公开的专属内容")
  .设置积极按钮("已打赏",function()
      对话框()
.设置标题("联系作者")
.设置消息("QQ交流 时 请注意用词：\n含翻墙、VPN、梯子、加速器、任何吃瓜APP名字 等违规字眼，则统统不回复。")
.设置积极按钮("不打扰了",function()
 
end)
.设置中立按钮("我会用谐音字表达",function()
 联系QQ(672812629)
end)
.显示()
  end)
  .设置中立按钮("")
  .显示()
end
--延时事件
task(500,function()--1000毫秒=1秒
  缩放动画(感谢)
  task(500,function()--1000毫秒=1秒
    缩放动画(感谢)
  end)
end)


--　■　　■　　　■　　■　　　　　　■　　　　　　　
--　　■　　■　　■　■■　　　■■■■■■■■■　　
--　　　　　■　　■　■　　　　■　　　　　　　■　　
--　■　　　　　　■　　　　　　■■■■■■■■■　　
--　　■　■■■■■■■■　　　■　　　　　　　■　　
--　　　　■　　　　　　■　　　■■■■■■■■■　　
--　　■　■■■■■■■■　　　■　　　　　　　■　　
--　■■　■　　　　　　■　　　■■■■■■■■■　　
--　■　　■■■■■■■■　　　　　　　　　　　　　　
--　■　　■　　　　　　■　　■　■　　■　　　　■　
--　■　　■　　　　　　■　■　　■　　　　　■　　■
--　■　　■　　　■■■■　　　　　■■■■■■　　　

--------------------消息弹出位置
function print(str)
  local MaterialCardView = luajava.bindClass "com.google.android.material.card.MaterialCardView"
  tip_layout=
  {
    LinearLayout;
    {
      MaterialCardView;
      layout_height="wrap";
      layout_width="wrap";
      radius=22;
      elevation=0;
      StrokeWidth=1;
      StrokeColor=0x30000000;
      CardBackgroundColor=0xffff0000;
      layout_margin="0dp";
      layout_marginBottom="75%w";--弹出高度
      {
        LinearLayout;
        layout_height="fill";--卡片高
        layout_width="fill";--卡片宽
        paddingLeft="10dp";
        paddingRight="10dp";
        paddingTop="10dp";
        paddingBottom="10dp";
        {
          TextView;
          id="text";
          textColor=0xffffffff;

          textSize="15sp";
        };
      };
    };
  };

  local toast=Toast.makeText(activity,"t",Toast.LENGTH_SHORT).setView(loadlayout(tip_layout))
  text.Text=tostring(str)
  toast.show()
end