require "import"
import "android.os.*"
import "android.widget.*"
import "android.view.*"
import "net.fusionapp.core.ui.fragment.WebInterface"
import "com.google.android.material.dialog.MaterialAlertDialogBuilder"
import "net.fusionapp.core.util.FusionUtil"
import "com.google.android.material.card.MaterialCardView"
import "android.widget.LinearLayout"
import "android.widget.TextView"
import "android.widget.PopupMenu"
import "androidx.appcompat.widget.PopupMenu"
import "android.widget.Toast"
import "android.net.Uri"
import "android.content.Intent"

----------------------------证书错误处理
local uimanager=activity.uiManager
local fragment=uimanager.currentFragment
fragment.setWebInterface(WebInterface
{onReceivedSslError=function(view, sslErrorHandler, sslError)
    --ssl证书错误处理
    import"com.google.android.material.dialog.MaterialAlertDialogBuilder"
    local dialog=MaterialAlertDialogBuilder(activity)
    return true
  end
})


FusionUtil = luajava.bindClass "net.fusionapp.core.util.FusionUtil"
android_R = luajava.bindClass "android.R"
function onDrawerListItemClick(data, recyclerView, listIndex, itemIndex)
  --侧滑栏列表的数据是二维结构，所以需要先获取到function()项目所在列表的数据
  local listData = data.get(listIndex);
  --获取到所在列表的数据后获取function()项目的数据
  local itemData = listData.get(itemIndex);
  --最后获取到function()的项目的标题
  local title = itemData.getTitle();
  local event=侧滑栏[title]
  if(event~=nil)then
    event()
  end
end
FusionUtil=luajava.bindClass "net.fusionapp.core.util.FusionUtil"
android_R=luajava.bindClass "android.R"
menus=activity.viewConfig.toolbar.getMenus()

function recreate()
  activity.finish()
  activity.startFusionActivity(activity.loader.pageName)
  activity.overridePendingTransition(android_R.anim.fade_in,android_R.anim.fade_out)
end
function switchNightTheme(isNightMode,newThemeName)
  if isNightMode then
    menus[1].setIcon("wb_sunny")--图片1
   else
    menus[1].setIcon("brightness_2")--图片2
  end
  activity.loader.updatePageConfig()
  FusionUtil.changeTheme(activity.loader.projectDir.path,newThemeName)
  FusionUtil.setNightMode(isNightMode)
  recreate()
end

function onMenuItemClick(title)
  local itemTitle = title
  if itemTitle=="ad"then
    uiManager=activity.getUiManager()
    --获取浏览器控件
    webView=uiManager.getCurrentFragment().getWebView()
    if SetHSP==nil then
      tcxx("塞班模式")
      tcxx("可再按一次")
      webView.getSettings().setUserAgentString("Mozilla/5.0 (Symbian/3; Series60/5.2 NokiaN8-00/012.002; Profile/MIDP-2.1 Configuration/CLDC-1.1 ) AppleWebKit/533.4 (KHTML, like Gecko) NokiaBrowser/7.3.0 Mobile Safari/533.4 3gpp-gba");
      刷新网页();
      SetHSP="H"
     else

      tcxx("电脑模式")
      webView.getSettings().setUserAgentString("Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/47.0.2526.73 Safari/537.36");
      刷新网页();
      SetHSP=nil
    end


  end
  if itemTitle=="刷新"then
    刷新网页()
    tcxx("刷新网页")
  end
  if itemTitle=="夜间模式"then
    if menus[1].getIcon()=="brightness_2" then
      switchNightTheme(true,"Night.json")
      tcxx("夜间模式")
     else
      switchNightTheme(false,"Default_Light.json")
      tcxx("日间模式")
    end
  end
  if itemTitle=="在浏览器打开"then
    tcxx("已复制链接")
    获取浏览器()
    复制文本(获取网址())
    tcxx("已复制链接")
    import "android.content.Intent"
    import "android.net.Uri"
    url=(获取浏览器().url)
    viewIntent = Intent("android.intent.action.VIEW",Uri.parse(url))
    activity.startActivity(viewIntent)
  end

end

--悬浮按钮function()事件
local fltBtn=this.uiManager.getFloatingActionButton()
fltBtn.onLongClick=function()
  ----------------------------
  进入子页面("main")
  return true
end
fltBtn.onClick=function()
  加载Js(JS)
  tcxx("尝试去除广告")
  pop=PopupMenu(activity,fltBtn)--弹出列表
  menu=pop.Menu
  menu.add("旋转屏幕").onMenuItemClick=function(a)
    if SetHSP==nil then
      --横屏
      activity.setRequestedOrientation(0);
      SetHSP="H"
     else
      --竖屏
      activity.setRequestedOrientation(1);
      SetHSP=nil
    end
  end
  ----------------------------
  menu.add("回顶部").onMenuItemClick=function(a)
    返回网页顶部()
    tcxx("回顶部")
  end
  menu.add("刷新").onMenuItemClick=function(a)
    刷新网页()
    tcxx("刷新网页")
  end
  pop.show()
end


--全局下载跳转浏览器--每个带有下载能力的子页面都要放置
local uiManager=activity.uiManager

function webviewRefresh(index)
  uiManager.getFragment(index).webView.setDownloadListener{
    onDownloadStart=function(url,a,b,c,d)
      activity.startActivity(Intent("android.intent.action.VIEW",Uri.parse(url)))
    end
  }
end
webviewRefresh(0)
uiManager.viewPager.setOnPageChangeListener(luajava.bindClass "androidx.viewpager.widget.ViewPager$OnPageChangeListener"{
  onPageSelected=function(index)
    webviewRefresh(index)
  end
})

function tcxx(str)
  local MaterialCardView = luajava.bindClass "com.google.android.material.card.MaterialCardView"
  tip_layout={
    LinearLayout;
    {
      MaterialCardView;
      layout_height="wrap";
      layout_width="wrap";
      radius=22;
      elevation=0;
      StrokeWidth=1;
      StrokeColor=0x30000000;
      CardBackgroundColor=0xeeffffff;
      layout_margin="0dp";
      layout_marginBottom="60%w";--弹出高度
      {
        LinearLayout;
        layout_height="fill";--卡片高
        layout_width="fill";--卡片宽
        paddingLeft="10dp";
        paddingRight="10dp";
        paddingTop="10dp";
        paddingBottom="10dp";
        {
          TextView;
          id="text";
          textColor=0xff000000;

          textSize="15sp";
        };
      };
    };
  };
  local toast=Toast.makeText(activity,"t",Toast.LENGTH_SHORT).setView(loadlayout(tip_layout))
  text.Text=tostring(str)
  toast.show()
end
----------------

